SELECT Код_типа_кровли INTO #TmpTable FROM Справочник_типов_кровель
SET IDENTITY_INSERT Справочник_типов_кровель ON

IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_типа_кровли = 1) INSERT INTO Справочник_типов_кровель (Код_типа_кровли,Описание) VALUES (1,'мягкая')
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_типа_кровли = 2) INSERT INTO Справочник_типов_кровель (Код_типа_кровли,Описание) VALUES (2,'шиферная')
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_типа_кровли = 3) INSERT INTO Справочник_типов_кровель (Код_типа_кровли,Описание) VALUES (3,'кровельное железо')
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_типа_кровли = 4) INSERT INTO Справочник_типов_кровель (Код_типа_кровли,Описание) VALUES (4,'оцинкованное железо')

SET IDENTITY_INSERT Справочник_типов_кровель OFF
DROP TABLE #TmpTable
